TabPane.TabClosingPolicy (JavaFX 28)
Description: declaration: module: javafx.controls, package: javafx.scene.control, class: TabPane, enum: TabClosingPolicy

# Enum Class TabPane.TabClosingPolicy

java.lang.Object
java.lang.Enum<TabPane.TabClosingPolicy>
javafx.scene.control.TabPane.TabClosingPolicy

All Implemented Interfaces:
  `Serializable, Comparable<TabPane.TabClosingPolicy>, Constable`

Enclosing class:
  `TabPane`

public static enum TabPane.TabClosingPolicy extends Enum<TabPane.TabClosingPolicy>
Specifies how the `TabPane` handles tab closing from an end-user's perspective. The options are:

- `TabClosingPolicy.UNAVAILABLE`: Tabs can not be closed by the user
- `TabClosingPolicy.SELECTED_TAB`: Only the currently selected tab will have the option to be closed, with a graphic next to the tab text being shown. The graphic will disappear when a tab is no longer selected.
- `TabClosingPolicy.ALL_TABS`: All tabs will have the option to be closed.

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL_TABS`
  All tabs will have the option to be closed.
  `SELECTED_TAB`
  Only the currently selected tab will have the option to be closed, with a graphic next to the tab text being shown.
  `UNAVAILABLE`
  Tabs can not be closed by the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TabPane.TabClosingPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TabPane.TabClosingPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SELECTED_TAB

    public static final TabPane.TabClosingPolicy SELECTED_TAB
    Only the currently selected tab will have the option to be closed, with a graphic next to the tab text being shown. The graphic will disappear when a tab is no longer selected.

  - ### ALL_TABS

    public static final TabPane.TabClosingPolicy ALL_TABS
    All tabs will have the option to be closed.

  - ### UNAVAILABLE

    public static final TabPane.TabClosingPolicy UNAVAILABLE
    Tabs can not be closed by the user.

- ## Method Details

  - ### values

    public static TabPane.TabClosingPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TabPane.TabClosingPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null